REM ============================================================
REM FILE: Compile.bat
REM DESC: This File will Compile the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn 
MKDIR gui

MKDIR las 
MKDIR las\gui
MKDIR las\plot
MKDIR las\io

MKDIR las3 
MKDIR las3\gui
MKDIR las3\io

MKDIR iqstrat
MKDIR iqstrat\io

MKDIR kgs
MKDIR kgs\gui
MKDIR kgs\io

MKDIR plot
MKDIR util
MKDIR xml

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\Borehole.java .

COPY src\cmn\*.java cmn
COPY src\gui\*.java gui

COPY src\las\*.java las
COPY src\las\gui\*.java las\gui
COPY src\las\plot\*.java las\plot
COPY src\las\io\*.java las\io

COPY src\las3\*.java las3
COPY src\las3\gui\*.java las3\gui
COPY src\las3\io\*.java las3\io

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\kgs\gui\*.java kgs\gui
COPY src\kgs\io\*.java kgs\io

COPY src\plot\*.java plot
COPY src\util\*.java util
COPY src\xml\*.java xml

REM ------------------------------------------------------------
REM COMPILE Simple LAS Plot
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation Borehole.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java
DEL cmn\*.java
DEL gui\*.java

DEL las\*.java
DEL las\gui\*.java
DEL las\plot\*.java
DEL las\io\*.java

DEL las3\*.java
DEL las3\gui\*.java
DEL las3\io\*.java

DEL iqstrat\*.java
DEL iqstrat\io\*.java

DEL kgs\gui\*.java
DEL kgs\io\*.java

DEL plot\*.java
DEL util\*.java
DEL xml\*.java

REM ------------------------------------------------------------
REM REMOVE the old LAS Jar File
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL Borehole.txt

C:\jdk1.7.0_25\bin\jar cvfm Borehole.jar Manifest.txt *.class cmn gui las las3 iqstrat kgs plot util xml images data
C:\jdk1.7.0_25\bin\jar tvf Borehole.jar > Borehole.txt

MOVE Borehole.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q

DEL las /q
DEL las\gui /q
DEL las\plot /q
DEL las\io /q

DEL las3 /q
DEL las3\gui /q
DEL las3\io /q

DEL iqstrat /q
DEL iqstrat\io /q

DEL kgs\gui /q
DEL kgs\io /q

DEL plot /q
DEL util /q
DEL xml /q

RMDIR cmn
RMDIR gui

RMDIR las\gui
RMDIR las\plot
RMDIR las\io
RMDIR las

RMDIR las3\gui
RMDIR las3\io
RMDIR las3

RMDIR iqstrat\io
RMDIR iqstrat

RMDIR kgs\gui
RMDIR kgs\io
RMDIR kgs

RMDIR plot
RMDIR util
RMDIR xml

DEL *.class
