/*
 * @iqstratStruct.java Version 1.1 09/01/2007
 *
 * Copyright (c) 2007 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package iqstrat;

import java.net.*;
import java.awt.*;
import java.applet.*;
//import java.awt.image.*;

import cmn.cmnStruct;

/** Class iqstratStruct
 *  <p> This Class holds the IQSTRAT Viewer Global Data.
 *
 *  @version 1.1 09/01/2007
 *  @author  John R. Victorine
 */

public class iqstratStruct
{
  // Global Data Structure

  public cmnStruct stCMN = new cmnStruct();

  // Global Variables

  // LAS 3.0 File Read Filter

  public boolean bLAS[]    = null;

  // Save Directory and Name

  public String sDirectory = "";
  public String sName      = "";

  // Depth Range & Scale

  public double depthStart = 0.0; // Starting Depth of Plot
  public double depthEnd   = 0.0; // Ending Depth of Plot
  public double depthStep  = 0.0; // Step Depth if LAS File Data Structure is NULL
  public int    iScale     = 0;   // Profile Plot Scale Factor

  // Total Wells Selected

  public int    iWells     = 0;

  // Type of Data to collect

  public static final int  _WELL_DATA = 0; // Well Data, i.e. LAS Files, etc
  public static final int  _OUTCROP   = 1; // Outcrop Data

  public int iDataType = _WELL_DATA;       // Type of Data to process
}