/*
 * @lasIO_Files.java Version 1.0 08/30/2011
 *
 * Copyright (c) 2012 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package las.io;

import java.io.*;
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

import util.utilFileIO;
import util.utilImageIO;

/** Class lasIO_Files
 *  <p> This class will manage the plot output for the profile plot
 *
 *  @version 1.1 08/30/2011
 *  @author  John R. Victorine
 */

public class lasIO_Files
{
  /** Method createImage()
   * <p> this method will create an image from the Plot image
   *  @param sPath   = Directory Path to Image
   *  @param sName   = File name befor adding the type of file, i.e. .png at end.
   *  @param image   = Profile Plot Buffered Image
   */

  public static void createImage( String sPath, String sName, BufferedImage image )
  {
    String      sOut   = sPath  + "/" + sName + ".png";

    utilImageIO pImage = new utilImageIO( image );
    pImage.save( sOut );

    image = null;
    sOut  = null;
  }

  /** Method createHTML()
   * <p> this method will create an html file from the Plot image
   *  @param sPath   = Directory Path to Image
   *  @param sName   = File name befor adding the type of file, i.e. .html at end.
   */

  public static void createHTML( String sPath, String sName )
  {
    int           iError = util.utilFileIO.NOERROR;
    String        sOut   = sName + ".html";
    String        sXML   = "";
    utilFileIO    pIO    = null;

    // Create HTML Document

    sXML = new String(sXML + "<html>\n");
    sXML = new String(sXML + "  <head>\n");
    sXML = new String(sXML + "    <title>GEMINI - Web Applet Image Plot</title>\n");
    sXML = new String(sXML + "  </head>\n");

    sXML = new String(sXML + "  <body>\n");
    sXML = new String(sXML + "    <a href=\"http://www.kgs.ku.edu/PRS/Ozark/TYPE_LOG/PDF.html\"> " +
                             "Create a PDF Document of this PNG Image</a>\n");
    sXML = new String(sXML + "    <p>\n");
    sXML = new String(sXML + "    <img src=\"" + sName + ".png\">\n");
    sXML = new String(sXML + "  </body>\n");
    sXML = new String(sXML + "</html>\n");

    // Write HTML Document to Temporary File

    pIO  = new utilFileIO();
    pIO.Open(util.utilFileIO.DIRECTORY, util.utilFileIO.WRITE, sPath, sOut);
    pIO.Write(sXML);

    if (iError == util.utilFileIO.NOERROR)
      pIO.Close();

    pIO.delete();
    pIO = null;

    util.BrowserControl.displayURL(sPath + "\\" + sOut);

    sOut  = null;
    sPath = null;
    sXML  = null;
  }
}
