/*
 * @plotSymbolStruct.java Version 1.1 07/09/2002
 *
 * Copyright (c) 2001 Kansas Geological Survey
 * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
 * All Rights Reserved.
 */

package plot;

/** Class plotSymbolStruct
 *  <p> This class will hold the data necessary to Plot Symbols
 *
 *  @version 1.1 07/09/2002
 *  @author  John R. Victorine
 */

public class plotSymbolStruct
{
    // Identifiers of possible shapes

    public static final int OVAL      = 0;
    public static final int RECTANGLE = 1;
    public static final int TRIANGLE  = 2;
    public static final int DIAMOND   = 3;
    public static final int DELTA     = 4;
    public static final int STAR      = 5;  // This shape is neither FILLED or EMPTY.
    public static final int HALF_MOON = 6;
    public static final int TOTAL     = 7;

    // Identifier for a backgound color filled or color filled shape

    public static final int EMPTY     = 0;
    public static final int FILLED    = 1;

    // Text to represent a shape that is empty

    public static final String SHAPE_EMPTY[] =
    {
        "Oval",
        "Rectangle",
        "Triangle",
        "Diamond",
        "Delta",
        "Star",
        "Half Moon"
    };

    // Text to represent a shape that is filled with color

    public static final String SHAPE_FILLED[] =
    {
        "Filled Oval",
        "Filled Rectangle",
        "Filled Triangle",
        "Filled Diamond",
        "Filled Delta",
        "Star",
        "Filled Half Moon"
    };

    public int     iWidth  = 0;   // Width of the Plot Area
    public int     iHeight = 0;   // Height of the Plot Area

    // Symbol and Color

    public int     iEmpty  = 0;   // Open or Filled Symbol
    public int     iSymbol = 0;   // Symbol Identifier.
    public int     iRed    = 0;   // Red Color in RGB Setting
    public int     iGreen  = 0;   // Green Color in RGB Setting
    public int     iBlue   = 0;   // Blue Color in RGB Setting
    public String  symbol  = "";  // Label for the selected symbol.

    /** Method delete()
     *  <p> This method will set the arrays and strings to null to force Java to
     *     deallocate memory
     */

    public void delete()
    {
      iWidth  = 0;    // Width of the Plot Area
      iHeight = 0;    // Height of the Plot Area

      // Symbol and Color

      iEmpty  = 0;    // Open or Filled Symbol
      iSymbol = 0;    // Symbol Identifier.
      iRed    = 0;    // Red Color in RGB Setting
      iGreen  = 0;    // Green Color in RGB Setting
      iBlue   = 0;    // Blue Color in RGB Setting
      symbol  = null; // Label for the selected symbol.
    }
}